package com.company.nfp.app.check_db;

import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CheckFullDbService {

  @Autowired
  private DataManager dataManager;

  public String checkFullDb(String entityName) {
    Integer count = 0;
    switch (entityName) {
      case "Koatuu":
        count = dataManager.loadValue(
                "SELECT COUNT (e) FROM nfp_Koatuu e",
                Integer.class
            )
            .one();
        break;
      case "KoatuuOld":
        count = dataManager.loadValue(
                "SELECT COUNT (e) FROM nfp_KoatuuOld e",
                Integer.class
            )
            .one();
        break;
    }
    if (count == 0) return "Ok"; else return "Full";
  }
}