package com.company.nfp.app.get_entity.get_product_by_id;

import com.company.nfp.entity.dictionaries.product.Product;
import io.jmix.core.DataManager;
import io.jmix.core.Id;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class GetProductByIdService {
    @Autowired
    private DataManager dataManager;

    public Product getProductById(UUID productId) {
        try {
            return dataManager.load(Product.class).id(productId).one();
        } catch (Exception e) {
            return null;
        }
    }
}