package com.company.nfp.app.import_data.from_dbf;

import com.linuxense.javadbf.DBFReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.nio.charset.Charset;
import org.springframework.stereotype.Service;

@Service
public class GetDbfReaderService {

  public DBFReader getDbfReader(String filePath) {
    try {
      return new DBFReader(new FileInputStream(filePath), Charset.forName("cp1251"));
    } catch (FileNotFoundException e) {
      return null;
    }
  }

}