package com.company.nfp.app.import_data.from_dbf;

import com.linuxense.javadbf.DBFReader;
import com.linuxense.javadbf.DBFRow;
import java.util.ArrayList;
import org.springframework.stereotype.Service;

@Service
public class GetDbfRowsService {

  public ArrayList<DBFRow> getDbfRows(DBFReader reader) {
    try {
      ArrayList<DBFRow> rows = new ArrayList<>();
      DBFRow row;
      while ((row = reader.nextRow()) != null) {
        rows.add(row);
      }
      return rows;
    } catch (Exception e) {
      return null;
    }

  }

}