package com.company.nfp.app.import_data.from_excel;

import org.apache.poi.ss.usermodel.Cell;
import org.springframework.stereotype.Service;

@Service
public class GetCellValueService {
  public Object getCellValue(Cell cell) {
    Object result;
    switch (cell.getCellType()) {
      case STRING:
        result = cell.getStringCellValue();
        break;
      case NUMERIC:
        result = cell.getNumericCellValue();
        break;
      case BOOLEAN:
        result = cell.getBooleanCellValue();
        break;
      default:
        result = null;
    }
    return result;
  }

}