package com.company.nfp.app.import_data.koatuu;

import com.company.nfp.entity.dictionaries.koatuu.Koatuu;
import io.jmix.core.DataManager;
import java.util.ArrayList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CreateKoatuuService {

  @Autowired
  private DataManager dataManager;

  public Koatuu createKoatuu(ArrayList<Object> entity) {
    var koatuu = dataManager.create(Koatuu.class);
    koatuu.setLevel1((String) entity.get(0));
    koatuu.setLevel2((String) entity.get(1));
    koatuu.setLevel3((String) entity.get(2));
    koatuu.setLevel4((String) entity.get(3));
    koatuu.setLevelAdd((String) entity.get(4));
    koatuu.setObjectCategory((String) entity.get(5));
    koatuu.setFullName((String) entity.get(6));
    koatuu.setShortName((String) entity.get(6));
    return koatuu;
  }
}