package com.company.nfp.app.import_data.uktzed;

import com.company.nfp.entity.dictionaries.product.Uktzed;
import com.linuxense.javadbf.DBFRow;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;

@Service
public class CreateUktzedListService {

    @Autowired
    private DataManager dataManager;

    public ArrayList<Uktzed> createUktzedList(ArrayList<DBFRow> rows){
        ArrayList<Uktzed> list = new ArrayList<>();
        for (DBFRow row : rows) {
            var uktzed = dataManager.create(Uktzed.class);
            try {
                uktzed.setCode(row.getString("CODE"));
            } catch (Exception e) {
                uktzed.setCode("");
            }
            try {
                uktzed.setNum(row.getString("NUM"));
            } catch (Exception e) {
                uktzed.setNum("");
            }
            try {
                uktzed.setFullName(row.getString("NAME"));
            } catch (Exception e) {
                uktzed.setFullName("");
            }
            try {
                uktzed.setShortName(row.getString("NAME"));
            } catch (Exception e) {
                uktzed.setShortName("");
            }
            list.add(uktzed);
        }
        return list;
    }
}