package com.company.nfp.app.import_data.uktzed;

import com.company.nfp.entity.dictionaries.koatuu.KoatuuOld;
import com.company.nfp.entity.dictionaries.product.Uktzed;
import io.jmix.core.DataManager;
import io.jmix.core.SaveContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SaveUktzedEntitiesService {

    @Autowired
    private DataManager dataManager;

    public String saveUktzedEntities(List<Uktzed> entities) {
        try {
            SaveContext saveContext = new SaveContext().setDiscardSaved(true);
            for (Uktzed item : entities) {
                saveContext.saving(item);
            }
            dataManager.save(saveContext);
            return "Ok";
        } catch (Exception e) {
            return e.getLocalizedMessage();
        }
    }


}