package com.company.nfp.app.prro.helpers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class UrlStringCreateService {
    @Autowired
    private GetPrroByUserService getPrroByUserService;

    public String urlStringCreate(UUID userId, String path) {
        var prro = getPrroByUserService.getPrro(userId);
        if (prro != null) {
            var host = prro.getHost();
            var port = prro.getPort();
            return host.trim() + ":" + port.trim() + "/" + path.trim();
        } else return "error";
    }
}