package com.company.nfp.entity.dictionaries.bank;

import com.company.nfp.entity.mapped_super_class.TenantNamed;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_BANK")
@Entity(name = "nfp_Bank")
public class Bank extends TenantNamed {

  @Column(name = "MFO")
  private String mfo;

  public void setMfo(String mfo) {
    this.mfo = mfo;
  }

  public String getMfo() {
    return mfo;
  }

  @InstanceName
  @DependsOnProperties({"fullName"})
  public String getInstanceName() {
    return String.format("%s", getFullName());
  }
}