package com.company.nfp.entity.dictionaries.counterparty.counterparty_account;

import com.company.nfp.entity.dictionaries.bank.Bank;
import com.company.nfp.entity.dictionaries.counterparty.Counterparty;
import com.company.nfp.entity.mapped_super_class.TenantAccount;
import io.jmix.core.metamodel.annotation.JmixEntity;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_COUNTERPARTY_ACCOUNT")
@Entity(name = "nfp_CounterpartyAccount")
public class CounterpartyAccount extends TenantAccount {

  @ManyToOne(fetch = FetchType.LAZY)
  @JoinColumn(name = "BANK_ID")
  private Bank bank;

  @ManyToOne(fetch = FetchType.LAZY)
  @JoinColumn(name = "COUNTERPARTY_ID")
  private Counterparty counterparty;

  public Counterparty getCounterparty() {
    return counterparty;
  }

  public void setCounterparty(Counterparty counterparty) {
    this.counterparty = counterparty;
  }

  public void setBank(Bank bank) {
    this.bank = bank;
  }

  public Bank getBank() {
    return bank;
  }

}