package com.company.nfp.entity.dictionaries.kved;

import com.company.nfp.entity.dictionaries.firm.FirmKved;
import com.company.nfp.entity.mapped_super_class.Named;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_KVED")
@Entity(name = "nfp_Kved")
public class Kved extends Named {
  @Column(name = "VED_CODE")
  private String vedCode;

  @OneToMany(mappedBy = "kved")
  private List<FirmKved> firmKveds;

  public void setFirmKveds(List<FirmKved> firmKveds) {
    this.firmKveds = firmKveds;
  }

  public List<FirmKved> getFirmKveds() {
    return firmKveds;
  }

  public void setVedCode(String vedCode) {
    this.vedCode = vedCode;
  }

  public String getVedCode() {
    return vedCode;
  }

  @InstanceName
  @DependsOnProperties({"vedCode", "fullName"})
  public String getInstanceName() {
    return String.format("%s :: %s", getVedCode(), getFullName());
  }
}