package com.company.nfp.entity.dictionaries.product;

import com.company.nfp.entity.mapped_super_class.TenantNamed;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_PRODUCT_GROUP")
@Entity(name = "nfp_ProductGroup")
public class ProductGroup extends TenantNamed {
    @InstanceName
    @DependsOnProperties({"fullName"})
    public String getInstanceName() {
        return String.format("%s", getFullName());
    }
}