package com.company.nfp.entity.dictionaries.software_version;

import com.company.nfp.entity.dictionaries.firm.Rro;
import com.company.nfp.entity.mapped_super_class.Named;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import java.util.List;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_SOFTWARE_VERSION")
@Entity(name = "nfp_SoftwareVersion")
public class SoftwareVersion extends Named {

  @OneToMany(mappedBy = "softwareVersion")
  private List<Rro> rros;

  public void setRros(List<Rro> rros) {
    this.rros = rros;
  }

  public List<Rro> getRros() {
    return rros;
  }


  @InstanceName
  @DependsOnProperties({"fullName"})
  public String getInstanceName() {
    return String.format("%s", getFullName());
  }
}