package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum CodeSourceRegister implements EnumClass<String> {

    ONE("1"),
    TWO("2"),
    THREE("3"),
    FOUR("4");

  private String id;

  CodeSourceRegister(String id) {
    this.id = id;
  }

  public String getId() {
    return id;
  }

  @Nullable
  public static CodeSourceRegister fromId(String id) {
    for (CodeSourceRegister at : CodeSourceRegister.values()) {
      if (at.getId().equals(id)) {
        return at;
      }
    }
    return null;
  }
}