package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum Direction implements EnumClass<String> {

    EXPENSE("Expense"),
    PROFIT("Profit");

    private String id;

    Direction(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static Direction fromId(String id) {
        for (Direction at : Direction.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}