package com.company.nfp.entity.mapped_super_class;

import com.company.nfp.entity.enumerations.CodeSourceRegister;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

@JmixEntity(name = "nfp_TenantRequisite")
@MappedSuperclass
public class TenantRequisite extends TenantNamed {

  @Column(name = "CODE_SOURCE_REGISTER")
  private String codeSourceRegister;

  @Column(name = "EDRPOU")
  private String edrpou;

  @Column(name = "IPN")
  private String ipn;

  @Column(name = "CERTIFICATE_NUMBER")
  private String certificateNumber;

  @Column(name = "CERTIFICATE_PAYER_TAX_NUMBER")
  private String certificatePayerTaxNumber;

  @Column(name = "BRANCH")
  private String branch;

  @Column(name = "ADDRESS")
  private String address;

  @Column(name = "PHONE")
  private String phone;

  @Column(name = "ACTUAL_PHONE")
  private String actualPhone;

  @Column(name = "HEAD_POSITION")
  private String headPosition;

  @Column(name = "HEAD_NAME")
  private String headName;

  @Column(name = "HEAD_NAME_IN_TEXT")
  private String headNameInText;

  @Column(name = "HEAD_NAME_IN_SIGN")
  private String headNameInSign;

  @Column(name = "HEAD_SHORT_NAME")
  private String headShortName;

  @Column(name = "ACCOUNTANT_NAME")
  private String accountantName;

  @Column(name = "BASIS_ACT")
  private String basisAct;

  @Column(name = "IS_AN")
  private String isAn;

  @Column(name = "IS_VAT_PAYER")
  private Boolean isVatPayer;

  public CodeSourceRegister getCodeSourceRegister() {
    return codeSourceRegister == null ? null : CodeSourceRegister.fromId(codeSourceRegister);
  }

  public void setCodeSourceRegister(CodeSourceRegister codeSourceRegister) {
    this.codeSourceRegister = codeSourceRegister == null ? null : codeSourceRegister.getId();
  }

  public String getEdrpou() {
    return edrpou;
  }

  public void setEdrpou(String edrpou) {
    this.edrpou = edrpou;
  }

  public String getIpn() {
    return ipn;
  }

  public void setIpn(String ipn) {
    this.ipn = ipn;
  }

  public String getCertificateNumber() {
    return certificateNumber;
  }

  public void setCertificateNumber(String certificateNumber) {
    this.certificateNumber = certificateNumber;
  }

  public String getCertificatePayerTaxNumber() {
    return certificatePayerTaxNumber;
  }

  public void setCertificatePayerTaxNumber(String certificatePayerTaxNumber) {
    this.certificatePayerTaxNumber = certificatePayerTaxNumber;
  }

  public String getBranch() {
    return branch;
  }

  public void setBranch(String branch) {
    this.branch = branch;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public String getPhone() {
    return phone;
  }

  public void setPhone(String phone) {
    this.phone = phone;
  }

  public String getActualPhone() {
    return actualPhone;
  }

  public void setActualPhone(String actualPhone) {
    this.actualPhone = actualPhone;
  }

  public String getHeadPosition() {
    return headPosition;
  }

  public void setHeadPosition(String headPosition) {
    this.headPosition = headPosition;
  }

  public String getHeadName() {
    return headName;
  }

  public void setHeadName(String headName) {
    this.headName = headName;
  }

  public String getHeadNameInText() {
    return headNameInText;
  }

  public void setHeadNameInText(String headNameInText) {
    this.headNameInText = headNameInText;
  }

  public String getHeadNameInSign() {
    return headNameInSign;
  }

  public void setHeadNameInSign(String headNameInSign) {
    this.headNameInSign = headNameInSign;
  }

  public String getHeadShortName() {
    return headShortName;
  }

  public void setHeadShortName(String headShortName) {
    this.headShortName = headShortName;
  }

  public String getAccountantName() {
    return accountantName;
  }

  public void setAccountantName(String accountantName) {
    this.accountantName = accountantName;
  }

  public String getBasisAct() {
    return basisAct;
  }

  public void setBasisAct(String basisAct) {
    this.basisAct = basisAct;
  }

  public String getIsAn() {
    return isAn;
  }

  public void setIsAn(String isAn) {
    this.isAn = isAn;
  }

  public Boolean getIsVatPayer() {
    return isVatPayer;
  }

  public void setIsVatPayer(Boolean vatPayer) {
    isVatPayer = vatPayer;
  }
}