package com.company.nfp.entity.source.product;

import com.company.nfp.entity.mapped_super_class.TenantAttribute;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;

@JmixEntity
@Table(name = "NFP_GOOD_DETAIL_EXCISE", indexes = {
        @Index(name = "IDX_NFPGOODDETAILEX_GOODDETAIL", columnList = "GOOD_DETAIL_ID")
})
@Entity(name = "nfp_GoodDetailExcise")
public class GoodDetailExcise extends TenantAttribute {
    @Column(name = "EXCISE")
    private String excise;

    @JoinColumn(name = "GOOD_DETAIL_ID", nullable = false)
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private GoodDetail goodDetail;

    public GoodDetail getGoodDetail() {
        return goodDetail;
    }

    public void setGoodDetail(GoodDetail goodDetail) {
        this.goodDetail = goodDetail;
    }

    public String getExcise() {
        return excise;
    }

    public void setExcise(String excise) {
        this.excise = excise;
    }
}