package com.company.nfp.app.get_entity.get_check_by_id;

import com.company.nfp.entity.source.product.Good;
import io.jmix.core.DataManager;
import io.jmix.core.FetchPlan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class GetCheckByIdService {
    @Autowired
    private DataManager dataManager;

    public Good getCheck(UUID checkId) {
        try {
            return dataManager.load(Good.class)
                    .id(checkId)
                    .one();
        } catch (Exception e) {
            return null;
        }
    }
}