package com.company.nfp.app.get_entity.get_current_firm;

import com.company.nfp.app.get_entity.get_current_shop.GetCurrentShopService;
import com.company.nfp.entity.dictionaries.firm.Firm;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class GetCurrentFirmService {
    @Autowired
    private GetCurrentShopService getCurrentShopService;

    public Firm getCurrentFirm(UUID userId) {
        try {
            var shop = getCurrentShopService.getCurrentShop(userId);
            return shop.getFirm();
        } catch (Exception e) {
            return null;
        }
    }
}