package com.company.nfp.app.get_entity.get_current_shop;

import com.company.nfp.app.get_entity.get_current_employee.GetCurrentEmployeeService;
import com.company.nfp.entity.dictionaries.firm.Shop;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

@Service
public class GetCurrentShopService {
    @Autowired
    private GetCurrentEmployeeService getCurrentEmployeeService;
    @Autowired
    private DataManager dataManager;

    public Shop getCurrentShop(UUID userId) {
        try {
            var employee = getCurrentEmployeeService.getCurrentEmployee(userId);
            return employee.getShop();
        } catch (Exception e) {
            return null;
        }
    }
}