package com.company.nfp.app.get_entity.get_last_purchase;

import com.company.nfp.app.get_entity.get_product_by_id.GetProductByIdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@Service
public class SetCostsForIsServiceService {
    @Autowired
    private GetProductByIdService getProductByIdService;

    public Map<String, BigDecimal> setCostsForIsService(UUID productId) {
        Map<String, BigDecimal> map = new HashMap<>();
        var product = getProductByIdService.getProductById(productId);
        if (product != null && product.getIsService()) {
            map.put("costPrice", BigDecimal.ZERO);
            map.put("cost", BigDecimal.ZERO);
            return map;
        } else return null;
    }
}