package com.company.nfp.app.get_entity.get_main_entity;

import com.company.nfp.entity.dictionaries.employee.Employee;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GetMainEmployeeService {
    @Autowired
    private DataManager dataManager;

    public Employee getMain() {
        try {
            return dataManager.load(Employee.class)
                    .query("SELECT e FROM nfp_Employee e WHERE e.main = TRUE")
                    .one();
        } catch (Exception e) {
            return null;
        }
    }
}