package com.company.nfp.app.get_entity.get_main_entity;

import com.company.nfp.entity.dictionaries.firm.Shop;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GetMainShop {
    @Autowired
    private DataManager dataManager;

    public Shop getMain() {
        try {
            return dataManager.load(Shop.class)
                    .query("SELECT e FROM nfp_Shop e WHERE e.main = TRUE")
                    .one();
        } catch (Exception e) {
            return null;
        }
    }

}