package com.company.nfp.app.import_data.from_excel;

import java.util.ArrayList;
import java.util.Iterator;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class GetCellsService {

  @Autowired
  private GetCellValueService getCellValueService;

  public ArrayList<Object> getCells(Row row) {
    ArrayList<Object> result = new ArrayList<>();
    Iterator<Cell> cellIterator = row.cellIterator();
    while (cellIterator.hasNext()) {
      result.add(getCellValueService.getCellValue(cellIterator.next()));
    }
    return result;
  }
}