package com.company.nfp.app.import_data.from_excel;

import java.util.ArrayList;
import java.util.Iterator;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.springframework.stereotype.Service;

@Service
public class GetRowsService {
  public ArrayList<Row> getRows(Sheet sheet) {
    var rows = new ArrayList<Row>();
    Iterator<Row> iterator = sheet.rowIterator();
    if (iterator != null) {
      while (iterator.hasNext()) {
        rows.add(iterator.next());
      }
      return rows;
    } else return null;
  }
}