package com.company.nfp.app.import_data.from_excel;

import java.io.File;
import java.io.IOException;
import org.apache.poi.EncryptedDocumentException;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.springframework.stereotype.Service;

@Service
public class OpenBookService {

  public Workbook openBook(String filePath) {
    try {
      File file = new File(filePath);
      return WorkbookFactory.create(file);  //as XSSFWorkbook
    } catch (EncryptedDocumentException | IOException e) {
      return null;
    }
  }
}