package com.company.nfp.app.import_data.koatuu;

import com.company.nfp.entity.dictionaries.koatuu.KoatuuOld;
import io.jmix.core.DataManager;
import io.jmix.core.SaveContext;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SaveKoatuuOldEntitiesService {

  @Autowired
  private DataManager dataManager;

  public String saveKoatuuOldEntities(List<KoatuuOld> entities) {
    try {
      SaveContext saveContext = new SaveContext().setDiscardSaved(true);
      for (KoatuuOld koatuu : entities) {
        saveContext.saving(koatuu);
      }
      dataManager.save(saveContext);
      return "Ok";
    } catch (Exception e) {
      return e.getLocalizedMessage();
    }
  }

}