package com.company.nfp.app.prro.get_check_by_fiscal_number;

import com.company.nfp.entity.source.product.Good;
import io.jmix.core.DataManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

@Service
public class GetCheckByFiscalNumberService {
    @Autowired
    private DataManager dataManager;

    public Boolean getCheck(String fn) {
        try {
            dataManager.load(Good.class)
                    .query("SELECT e FROM nfp_Good e WHERE e.fn = :fn")
                    .parameter("fn", fn)
                    .one();
            return true;
        } catch (Exception e) {
            return false;
        }
    }
}