package com.company.nfp.entity.dictionaries.employee.position;

import com.company.nfp.entity.mapped_super_class.Named;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.time.LocalDate;

@JmixEntity
@Table(name = "NFP_POSITION")
@Entity(name = "nfp_Position")
public class Position extends Named {

    @Column(name = "CODE")
    private Integer code;

    @Column(name = "CODEKP")
    private String codekp;

    @Column(name = "ZKPP")
    private String zkpp;

    @Column(name = "DATE_BEG")
    private LocalDate dateBeg;

    @Column(name = "DATE_END")
    private LocalDate dateEnd;

    public void setDateEnd(LocalDate dateEnd) {
        this.dateEnd = dateEnd;
    }

    public LocalDate getDateEnd() {
        return dateEnd;
    }

    public void setDateBeg(LocalDate dateBeg) {
        this.dateBeg = dateBeg;
    }

    public LocalDate getDateBeg() {
        return dateBeg;
    }

    public void setZkpp(String zkpp) {
        this.zkpp = zkpp;
    }

    public String getZkpp() {
        return zkpp;
    }

    public void setCodekp(String codekp) {
        this.codekp = codekp;
    }

    public String getCodekp() {
        return codekp;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    @InstanceName
    @DependsOnProperties({"fullName"})
    public String getInstanceName() {
        return String.format("%s", getFullName());
    }
}