package com.company.nfp.entity.dictionaries.koatuu;

import com.company.nfp.entity.dictionaries.firm.Rro;
import com.company.nfp.entity.mapped_super_class.Named;
import io.jmix.core.metamodel.annotation.JmixEntity;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_KOATUU")
@Entity(name = "nfp_Koatuu")
public class Koatuu extends Named {

  @Column(name = "LEVEL1")
  private String level1;

  @Column(name = "LEVEL2")
  private String level2;

  @Column(name = "LEVEL3")
  private String level3;

  @Column(name = "LEVEL4")
  private String level4;

  @Column(name = "LEVEL_ADD")
  private String levelAdd;

  @Column(name = "OBJECT_CATEGORY")
  private String objectCategory;

  @OneToMany(mappedBy = "koatuu")
  private List<Rro> rros;

  public void setRros(List<Rro> rros) {
    this.rros = rros;
  }

  public List<Rro> getRros() {
    return rros;
  }

  public void setObjectCategory(String objectCategory) {
    this.objectCategory = objectCategory;
  }

  public String getObjectCategory() {
    return objectCategory;
  }

  public void setLevelAdd(String levelAdd) {
    this.levelAdd = levelAdd;
  }

  public String getLevelAdd() {
    return levelAdd;
  }

  public void setLevel4(String level4) {
    this.level4 = level4;
  }

  public String getLevel4() {
    return level4;
  }

  public void setLevel3(String level3) {
    this.level3 = level3;
  }

  public String getLevel3() {
    return level3;
  }

  public void setLevel2(String level2) {
    this.level2 = level2;
  }

  public String getLevel2() {
    return level2;
  }

  public void setLevel1(String level1) {
    this.level1 = level1;
  }

  public String getLevel1() {
    return level1;
  }

}