package com.company.nfp.entity.dictionaries.stat;

import com.company.nfp.entity.enumerations.Direction;
import com.company.nfp.entity.mapped_super_class.TenantNamed;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@JmixEntity
@Table(name = "NFP_STAT")
@Entity(name = "nfp_Stat")
public class Stat extends TenantNamed {
    @Column(name = "DIRECTION")
    private String direction;

    public Direction getDirection() {
        return direction == null ? null : Direction.fromId(direction);
    }

    public void setDirection(Direction direction) {
        this.direction = direction == null ? null : direction.getId();
    }

    @InstanceName
    @DependsOnProperties({"fullName"})
    public String getInstanceName() {
        return String.format("%s", getFullName());
    }
}