package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum AccountingType implements EnumClass<String> {

    ZO("ZO"),
    OF("OF");

    private String id;

    AccountingType(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static AccountingType fromId(String id) {
        for (AccountingType at : AccountingType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}