package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum BankCooperation implements EnumClass<String> {

    FILE("file"),
    API("api");

    private String id;

    BankCooperation(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static BankCooperation fromId(String id) {
        for (BankCooperation at : BankCooperation.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}