package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum DocSubType implements EnumClass<String> {

    TEXT("0"),
    RECEIPT_POSITION("1"),
    CASH_DEPOSIT("2"),
    CASH_DROP("4"),
    NON_FISCAL_RECEIPT("100"),
    CANCELED_RECEIPT("101");

    private String id;

    DocSubType(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static DocSubType fromId(String id) {
        for (DocSubType at : DocSubType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}