package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SalesMethod implements EnumClass<String> {

    ACCOUNTING("Accounting"),
    SALE("Sale");

    private String id;

    SalesMethod(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SalesMethod fromId(String id) {
        for (SalesMethod at : SalesMethod.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}