package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SourceGoodType implements EnumClass<String> {

    ZO_RECEIPT_INVOICE("ZO_RECEIPT_INVOICE"),
    OF_RECEIPT_INVOICE("OF_RECEIPT_INVOICE"),
    ZO_EXPENSE_INVOICE("ZO_EXPENSE_INVOICE"),
    OF_EXPENSE_INVOICE("OF_EXPENSE_INVOICE"),
    ZO_ACT("ZO_ACT"),
    OF_ACT("OF_ACT"),
    ZO_CHECK("ZO_CHECK"),
    OF_CHECK("OF_CHECK"),
    ZO_CASH("ZO_CASH"),
    OF_CASH("OF_CASH"),
    ZO_BANK("ZO_BANK"),
    OF_BANK("OF_BANK");

    private String id;

    SourceGoodType(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SourceGoodType fromId(String id) {
        for (SourceGoodType at : SourceGoodType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}