package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SourceMoneyType implements EnumClass<String> {

    ZO_CASH("ZO_CASH"),
    OF_CASH("OF_CASH"),
    ZO_BANK("ZO_BANK"),
    OF_BANK("OF_BANK");

    private String id;

    SourceMoneyType(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SourceMoneyType fromId(String id) {
        for (SourceMoneyType at : SourceMoneyType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}