package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum SourceRevaluationType implements EnumClass<String> {

    ZO_REVALUATION("ZO_REVALUATION"),
    OF_REVALUATION("OF_REVALUATION");

    private String id;

    SourceRevaluationType(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static SourceRevaluationType fromId(String id) {
        for (SourceRevaluationType at : SourceRevaluationType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}