package com.company.nfp.entity.enumerations;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum TaxationSystem implements EnumClass<String> {

    GROUP_1("group_1"),
    GROUP_2("group_2"),
    GROUP_3_5_WITHOUT_VAT("3rd group 5% without VAT"),
    GROUP_3_3_WITH_VAT("3rd group 3% with VAT"),
    GROUP_3_2_WITHOUT_VAT("3rd group 2% without VAT"),
    LE_5_WITHOUT_VAT("LE 5% without VAT"),
    LE_3_WITH_VAT("LE 3% wit VAT"),
    LE_2_WITHOUT_VAT("LE 2% without VAT");

  private String id;

  TaxationSystem(String value) {
    this.id = value;
  }

  public String getId() {
    return id;
  }

  @Nullable
  public static TaxationSystem fromId(String id) {
    for (TaxationSystem at : TaxationSystem.values()) {
      if (at.getId().equals(id)) {
        return at;
      }
    }
    return null;
  }
}