package com.company.nfp.entity.mapped_super_class;

import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;
import javax.validation.constraints.NotNull;

@JmixEntity(name = "nfp_Named")
@MappedSuperclass
public class Named extends Attribute {

  @NotNull
  @InstanceName
  @Column(name = "FULL_NAME", nullable = false)
  private String fullName;

  @Column(name = "SHORT_NAME")
  private String shortName;

  public String getFullName() {
    return fullName;
  }

  public void setFullName(String fullName) {
    this.fullName = fullName;
  }

  public String getShortName() {
    return shortName;
  }

  public void setShortName(String shortName) {
    this.shortName = shortName;
  }
}