package com.company.nfp.entity.not_persistent.prro;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.entity.annotation.JmixId;
import io.jmix.core.metamodel.annotation.JmixEntity;

import java.util.UUID;

@JmixEntity(name = "nfp_PrroStateEntity")
public class PrroStateEntity {
    @JmixGeneratedValue
    @JmixId
    private UUID id;

    /**
     * Shift opened (date\time)
     */
    private String shiftOpenDate;

    /**
     * Shift closed (date\time)
     */
    private String shiftCloseDate;

    /**
     * Shift number
     */
    private Integer shiftId;

    /**
     * Sign of open shift
     */
    private Boolean isShiftOpen;

    /**
     * Cashier name
     */
    private String cashierName;

    /**
     * Number of last document (for fiscal and non-fiscal documents)
     */
    private Integer lastReceiptNumber;

    /**
     * Local number of last document (for fiscal documents)
     */
    private Integer lastLocalNumber;

    /**
     * Sign of open offline session
     */
    private Boolean offline;

    /**
     * Offline session secret number
     */
    private String offlineSeed;

    /**
     * Offline session ID
     */
    private String offlineSessionId;

    /**
     * Number of current document in offline session
     */
    private Integer offlineDocumentNumber;

    /**
     * Current offline session (date\time)
     */
    private String offlineStartDate;

    /**
     * Total duration of offline sessions for current month in minutes
     */
    private Integer currentMonthOfflineDuration;

    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCurrentMonthOfflineDuration() {
        return currentMonthOfflineDuration;
    }

    public void setCurrentMonthOfflineDuration(Integer currentMonthOfflineDuration) {
        this.currentMonthOfflineDuration = currentMonthOfflineDuration;
    }

    public String getOfflineStartDate() {
        return offlineStartDate;
    }

    public void setOfflineStartDate(String offlineStartDate) {
        this.offlineStartDate = offlineStartDate;
    }

    public Integer getOfflineDocumentNumber() {
        return offlineDocumentNumber;
    }

    public void setOfflineDocumentNumber(Integer offlineDocumentNumber) {
        this.offlineDocumentNumber = offlineDocumentNumber;
    }

    public String getOfflineSessionId() {
        return offlineSessionId;
    }

    public void setOfflineSessionId(String offlineSessionId) {
        this.offlineSessionId = offlineSessionId;
    }

    public String getOfflineSeed() {
        return offlineSeed;
    }

    public void setOfflineSeed(String offlineSeed) {
        this.offlineSeed = offlineSeed;
    }

    public Boolean getOffline() {
        return offline;
    }

    public void setOffline(Boolean offline) {
        this.offline = offline;
    }

    public Integer getLastLocalNumber() {
        return lastLocalNumber;
    }

    public void setLastLocalNumber(Integer lastLocalNumber) {
        this.lastLocalNumber = lastLocalNumber;
    }

    public Integer getLastReceiptNumber() {
        return lastReceiptNumber;
    }

    public void setLastReceiptNumber(Integer lastReceiptNumber) {
        this.lastReceiptNumber = lastReceiptNumber;
    }

    public String getCashierName() {
        return cashierName;
    }

    public void setCashierName(String cashierName) {
        this.cashierName = cashierName;
    }

    public Boolean getIsShiftOpen() {
        return isShiftOpen;
    }

    public void setIsShiftOpen(Boolean isShiftOpen) {
        this.isShiftOpen = isShiftOpen;
    }

    public Integer getShiftId() {
        return shiftId;
    }

    public void setShiftId(Integer shiftId) {
        this.shiftId = shiftId;
    }

    public String getShiftCloseDate() {
        return shiftCloseDate;
    }

    public void setShiftCloseDate(String shiftCloseDate) {
        this.shiftCloseDate = shiftCloseDate;
    }

    public String getShiftOpenDate() {
        return shiftOpenDate;
    }

    public void setShiftOpenDate(String shiftOpenDate) {
        this.shiftOpenDate = shiftOpenDate;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}