package com.company.nfp.screen.dictionaries.product.product;

import com.company.nfp.app.set_next_number.SetNextNumberService;
import io.jmix.ui.screen.*;
import com.company.nfp.entity.dictionaries.product.Product;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("nfp_Product.edit")
@UiDescriptor("product-edit.xml")
@EditedEntityContainer("productDc")
public class ProductEdit extends StandardEditor<Product> {
    @Autowired
    private SetNextNumberService setNextNumberService;

    @Subscribe
    public void onInitEntity(InitEntityEvent<Product> event) {
        event.getEntity().setCode(setNextNumberService.setProductCode());
    }

}