package com.company.nfp.screen.prro.xzreport.xreport;

import io.jmix.ui.component.TextArea;
import io.jmix.ui.screen.Screen;
import io.jmix.ui.screen.Subscribe;
import io.jmix.ui.screen.UiController;
import io.jmix.ui.screen.UiDescriptor;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("nfp_XreportScreen")
@UiDescriptor("xreport-screen.xml")
public class XreportScreen extends Screen {
    private String text;
    @Autowired
    private TextArea<String> reportTextArea;

    public void setText(String text) {
        this.text = text;
    }

    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        reportTextArea.setValue(this.text);
    }
}